Loading...
Searching...
No Matches
RDKit::Abbreviations::AbbreviationMatch Struct Reference

`#include <Abbreviations.h>`

## Public Member Functions

| AbbreviationMatch (std::vector< std::pair< int, int > > matchArg, AbbreviationDefinition abbrevArg)
| AbbreviationMatch ()
bool | operator== (const AbbreviationMatch &other) const
bool | operator!= (const AbbreviationMatch &other) const

## Public Attributes

MatchVectType | match
AbbreviationDefinition | abbrev

## Detailed Description

Definition at line 41 of file Abbreviations.h.

## Constructor & Destructor Documentation

## AbbreviationMatch() [1/2]

RDKit::Abbreviations::AbbreviationMatch::AbbreviationMatch | ( | std::vector< std::pair< int, int > > | matchArg,
|  | AbbreviationDefinition | abbrevArg )

inline

Definition at line 44 of file Abbreviations.h.

References abbrev, and match.

Referenced by operator!=(), and operator==().

## AbbreviationMatch() [2/2]

RDKit::Abbreviations::AbbreviationMatch::AbbreviationMatch | ( |  | ) |

inline

Definition at line 47 of file Abbreviations.h.

References abbrev, and match.

## Member Function Documentation

## operator!=()

bool RDKit::Abbreviations::AbbreviationMatch::operator!= | ( | const AbbreviationMatch & | other | ) | const

inline

Definition at line 51 of file Abbreviations.h.

References AbbreviationMatch().

## operator==()

bool RDKit::Abbreviations::AbbreviationMatch::operator== | ( | const AbbreviationMatch & | other | ) | const

inline

Definition at line 48 of file Abbreviations.h.

References abbrev, AbbreviationMatch(), and match.

## Member Data Documentation

## abbrev

AbbreviationDefinition RDKit::Abbreviations::AbbreviationMatch::abbrev

Definition at line 43 of file Abbreviations.h.

Referenced by AbbreviationMatch(), AbbreviationMatch(), and operator==().

## match

MatchVectType RDKit::Abbreviations::AbbreviationMatch::match

Definition at line 42 of file Abbreviations.h.

Referenced by AbbreviationMatch(), AbbreviationMatch(), and operator==().

The documentation for this struct was generated from the following file:

- Abbreviations.h